﻿namespace BeamColumnWeld107
{
    public class ParamNames
    {
        /**
         * 图形页参数
         */
        public static readonly string PIC_PARTS_GAP = "pic_parts_gap";
        public static readonly string PIC_BEAM_CUT_TYPE = "pic_beam_cut_type";
        public static readonly string PIC_BEAM_CUT_X = "pic_beam_cut_x";
        public static readonly string PIC_BEAM_CUT_Y = "pic_beam_cut_y";

        /**
         * 加劲肋页参数
         */
        public static readonly string STIFF_TOP_NS_PROPS = "stiff_top_ns_props";
        public static readonly string STIFF_TOP_FS_PROPS = "stiff_top_fs_props";
        public static readonly string STIFF_BOTTOM_NS_PROPS = "stiff_bottom_ns_props";
        public static readonly string STIFF_BOTTOM_FS_PROPS = "stiff_bottom_fs_props";
        public static readonly string STIFF_WEB_GAP = "stiff_web_gap";
        public static readonly string STIFF_TOP_NS_OFFSET = "stiff_top_ns_offset";
        public static readonly string STIFF_TOP_FS_OFFSET = "stiff_top_fs_offset";
        public static readonly string STIFF_BOTTOM_NS_OFFSET = "stiff_bottom_ns_offset";
        public static readonly string STIFF_BOTTOM_FS_OFFSET = "stiff_bottom_fs_offset";
        public static readonly string STIFF_DIR = "stiff_dir";
        public static readonly string STIFF_ENABLED = "stiff_enabled";
        public static readonly string STIFF_CHAMFER_ENABLED = "stiff_chamfer_enabled";
        public static readonly string STIFF_INSIDE_CHAMFER_TYPE = "stiff_inside_chamfer_type";
        public static readonly string STIFF_INSIDE_CHAMFER_X = "stiff_inside_chamfer_x";
        public static readonly string STIFF_INSIDE_CHAMFER_Y = "stiff_inside_chamfer_y";
        public static readonly string STIFF_CHAMFER_TYPE = "stiff_chamfer_type";
        public static readonly string STIFF_CHAMFER_X = "stiff_chamfer_x";
        public static readonly string STIFF_CHAMFER_Y = "stiff_chamfer_y";
        public static readonly string STIFF_FLANGE_GAP_X = "stiff_flange_gap_x";
        public static readonly string STIFF_FLANGE_GAP_Y = "stiff_flange_gap_y";

        /**
         * 梁切割页参数
         */

        /**
         * 槽口页参数
         */
        public static readonly string NOTCH_SHAPE = "notch_shape";
        public static readonly string NOTCH_FLANGE_CUT_SHAPE = "notch_flange_cut_shape";
        public static readonly string NOTCH_POSITION = "notch_position";
        public static readonly string NOTCH_SIZE_MODE = "notch_size_mode";
        public static readonly string NOTCH_SIZE_X = "notch_size_x";
        public static readonly string NOTCH_SIZE_Y = "notch_size_y";
        public static readonly string NOTCH_SIZE_ROUNDING = "notch_size_rounding";
        public static readonly string NOTCH_ROUNDING_BASE_X = "notch_rounding_base_x";
        public static readonly string NOTCH_ROUNDING_BASE_Y = "notch_rounding_base_y";
        public static readonly string NOTCH_CHAMFER_TYPE = "notch_chamfer_type";
        public static readonly string NOTCH_CHAMFER_RADIUS = "notch_chamfer_radius";

        public static readonly string NOTCH_MANUAL_TOP_SIDE = "notch_manual_top_side";
        public static readonly string NOTCH_MANUAL_TOP_SHAPE = "notch_manual_top_shape";
        public static readonly string NOTCH_MANUAL_TOP_DEPTH_MODE = "notch_manual_top_depth_mode";
        public static readonly string NOTCH_MANUAL_TOP_DEPTH = "notch_manual_top_depth";
        public static readonly string NOTCH_MANUAL_TOP_SIZE_X = "notch_manual_top_size_x";
        public static readonly string NOTCH_MANUAL_TOP_SIZE_Y = "notch_manual_top_size_y";

        public static readonly string NOTCH_MANUAL_BOTTOM_SIDE = "notch_manual_bottom_side";
        public static readonly string NOTCH_MANUAL_BOTTOM_SHAPE = "notch_manual_bottom_shape";
        public static readonly string NOTCH_MANUAL_BOTTOM_DEPTH_MODE = "notch_manual_bottom_depth_mode";
        public static readonly string NOTCH_MANUAL_BOTTOM_DEPTH = "notch_manual_bottom_depth";
        public static readonly string NOTCH_MANUAL_BOTTOM_SIZE_X = "notch_manual_bottom_size_x";
        public static readonly string NOTCH_MANUAL_BOTTOM_SIZE_Y = "notch_manual_bottom_size_y";

        /**
         * 双板页参数
         */
        public static readonly string DOUBLE_PLATE_PROPS = "double_plate_props";
        public static readonly string DOUBLE_HOLE_DIAMETER = "double_hole_diameter";
        public static readonly string DOUBLE_SLOT_WIDTH = "double_slot_width";
        public static readonly string DOUBLE_SLOT_HEIGHT = "double_slot_height";
        public static readonly string DOUBLE_HOLE_HORI_COUNT = "double_hole_hori_count";
        public static readonly string DOUBLE_HOLE_VERT_COUNT = "double_hole_vert_count";
        public static readonly string DOUBLE_HOLE_HORI_STRIDE = "double_hole_hori_stride";
        public static readonly string DOUBLE_HOLE_VERT_STRIDE = "double_hole_vert_stride";
        public static readonly string DOUBLE_HOLE_LEFT_MARGIN = "double_hole_left_margin";
        public static readonly string DOUBLE_HOLE_RIGHT_MARGIN = "double_hole_right_margin";
        public static readonly string DOUBLE_HOLE_TOP_MARGIN = "double_hole_top_margin";
        public static readonly string DOUBLE_HOLE_BOTTOM_MARGIN = "double_hole_bottom_margin";
        public static readonly string DOUBLE_FLANGE_GAP = "double_flange_gap";
        public static readonly string DOUBLE_BOTTOM_GAP = "double_bottom_gap";
        public static readonly string DOUBLE_PLATE_EDGE_SHAPE = "double_plate_edge_shape";
        public static readonly string DOUBLE_PLATE_BEVEL_ANGLE = "double_plate_bevel_angle";
        public static readonly string DOUBLE_CREATION_MODE = "double_creation_mode";
        public static readonly string DOUBLE_PLATE_CUT = "double_plate_cut";
        public static readonly string DOUBLE_PLATE_CUT_LENGTH = "double_plate_cut_length";

        /**
         * 焊缝属性名称
         */
        public static readonly string[] WELD_PROPS_LIST = new string[]
        {
            "weld_props0",
            "weld_props1",
            "weld_props2",
            "weld_props3",
            "weld_props4",
            "weld_props5",
            "weld_props6",
            "weld_props7"
        };
    }
}
