﻿namespace ExtendedTrapezoidalPlate103
{
    public class ParamNames
    {
        /**
         * 图形页参数
         */
        public static readonly string PIC_PARTS_CUT_GAP = "pic_parts_cut_gap";
        public static readonly string PIC_UP_CHAMFER_PART_HEIGHT = "pic_up_chamfer_part_height";
        public static readonly string PIC_UP_CHAMFER_PART_GAP = "pic_up_chamfer_part_gap";
        public static readonly string PIC_DOWN_CHAMFER_PART_HEIGHT = "pic_down_chamfer_part_height";
        public static readonly string PIC_DOWN_CHAMFER_PART_GAP = "pic_down_chamfer_part_gap";
        public static readonly string PIC_FLANGE_CUT_SIZE = "pic_flange_cut_size";
        public static readonly string PIC_BEAM_END_CUT = "pic_beam_end_cut";
        public static readonly string PIC_BEAM_WEB_CUT = "pic_beam_web_cut";
        public static readonly string PIC_BEAM_FLANGE_CUT = "pic_beam_flange_cut";
        public static readonly string PIC_FILLET_NOTCH_ENABLED = "pic_fillet_notch_enabled";
        public static readonly string PIC_FILLET_NITCH_LENGTH = "pic_fillet_notch_length";
        public static readonly string PIC_FILLET_NOTCH_RADIUS = "pic_fillet_notch_radius";

        /**
         * 板页参数
         */
        public static readonly string PLATE_PROPS = "plate_props";
        public static readonly string PLATE_SHAPE = "plate_shape";
        public static readonly string PLATE_CHAMFER_TYPE = "plate_chamfer_type";
        public static readonly string PLATE_CHAMFER_X = "plate_chamfer_x";
        public static readonly string PLATE_CHAMFER_Y = "plate_chamfer_y";
        public static readonly string PLATE_DIR = "plate_dir";
        public static readonly string PLATE_POSITION = "plate_position";
        public static readonly string PLATE_GAP = "plate_gap";

        /**
         * 加劲肋页参数
         */
        public static readonly string STIFF_TOP_NS_PROPS = "stiff_top_ns_props";
        public static readonly string STIFF_TOP_FS_PROPS = "stiff_top_fs_props";
        public static readonly string STIFF_BOTTOM_NS_PROPS = "stiff_bottom_ns_props";
        public static readonly string STIFF_BOTTOM_FS_PROPS = "stiff_bottom_fs_props";
        public static readonly string STIFF_WEB_GAP = "stiff_web_gap";
        public static readonly string STIFF_TOP_NS_OFFSET = "stiff_top_ns_offset";
        public static readonly string STIFF_TOP_FS_OFFSET = "stiff_top_fs_offset";
        public static readonly string STIFF_BOTTOM_NS_OFFSET = "stiff_bottom_ns_offset";
        public static readonly string STIFF_BOTTOM_FS_OFFSET = "stiff_bottom_fs_offset";
        public static readonly string STIFF_DIR = "stiff_dir";
        public static readonly string STIFF_ENABLED = "stiff_enabled";
        public static readonly string STIFF_CHAMFER_ENABLED = "stiff_chamfer_enabled";
        public static readonly string STIFF_INSIDE_CHAMFER_TYPE = "stiff_inside_chamfer_type";
        public static readonly string STIFF_INSIDE_CHAMFER_X = "stiff_inside_chamfer_x";
        public static readonly string STIFF_INSIDE_CHAMFER_Y = "stiff_inside_chamfer_y";
        public static readonly string STIFF_CHAMFER_TYPE = "stiff_chamfer_type";
        public static readonly string STIFF_CHAMFER_X = "stiff_chamfer_x";
        public static readonly string STIFF_CHAMFER_Y = "stiff_chamfer_y";
        public static readonly string STIFF_FLANGE_GAP_X = "stiff_flange_gap_x";
        public static readonly string STIFF_FLANGE_GAP_Y = "stiff_flange_gap_y";

        /**
         * 螺栓页参数
         */
        public static readonly string BOLT_BASIC_PROPS = "bolt_basic_props";
        public static readonly string BOLT_HOLE_PROPS = "bolt_hole_props";
        public static readonly string BOLT_CONTENT_PROPS = "bolt_content_props";
        public static readonly string BOLT_EXTEND_PROPS = "bolt_extend_props";
        public static readonly string BOLT_SHAPE = "bolt_shape";
        public static readonly string BOLT_ORIENTATION = "bolt_orientation";
        public static readonly string BOLT_IGNORE = "bolt_ignore";
        public static readonly string BOLT_VERT_OFFSET_MODE = "bolt_vert_offset_mode";
        public static readonly string BOLT_VERT_OFFSET = "bolt_vert_offset";
        public static readonly string BOLT_HORI_LEFT_GAP = "bolt_hori_left_gap";
        public static readonly string BOLT_HORI_RIGHT_GAP = "bolt_hori_right_gap";
        public static readonly string BOLT_VERT_UP_GAP = "bolt_vert_up_gap";
        public static readonly string BOLT_VERT_DOWN_GAP = "bolt_vert_down_gap";
        public static readonly string BOLT_VERT_COUNT = "bolt_vert_count";
        public static readonly string BOLT_VERT_STRIDE = "bolt_vert_stride";
        public static readonly string BOLT_HORI_COUNT = "bolt_hori_count";
        public static readonly string BOLT_HORI_STRIDE = "bolt_hori_stride";

        /**
         * 槽口页参数名称
         */
        public static readonly string NOTCH_SHAPE = "notch_shape";
        public static readonly string NOTCH_FLANGE_CUT_SHAPE = "notch_flange_cut_shape";
        public static readonly string NOTCH_POSITION = "notch_position";
        public static readonly string NOTCH_SIZE_MODE = "notch_size_mode";
        public static readonly string NOTCH_SIZE_X = "notch_size_x";
        public static readonly string NOTCH_SIZE_Y = "notch_size_y";
        public static readonly string NOTCH_SIZE_ROUNDING = "notch_size_rounding";
        public static readonly string NOTCH_ROUNDING_BASE_X = "notch_rounding_base_x";
        public static readonly string NOTCH_ROUNDING_BASE_Y = "notch_rounding_base_y";
        public static readonly string NOTCH_CHAMFER_TYPE = "notch_chamfer_type";
        public static readonly string NOTCH_CHAMFER_RADIUS = "notch_chamfer_radius";

        public static readonly string NOTCH_MANUAL_TOP_SIDE = "notch_manual_top_side";
        public static readonly string NOTCH_MANUAL_TOP_SHAPE = "notch_manual_top_shape";
        public static readonly string NOTCH_MANUAL_TOP_DEPTH_MODE = "notch_manual_top_depth_mode";
        public static readonly string NOTCH_MANUAL_TOP_DEPTH = "notch_manual_top_depth";
        public static readonly string NOTCH_MANUAL_TOP_SIZE_X = "notch_manual_top_size_x";
        public static readonly string NOTCH_MANUAL_TOP_SIZE_Y = "notch_manual_top_size_y";

        public static readonly string NOTCH_MANUAL_BOTTOM_SIDE = "notch_manual_bottom_side";
        public static readonly string NOTCH_MANUAL_BOTTOM_SHAPE = "notch_manual_bottom_shape";
        public static readonly string NOTCH_MANUAL_BOTTOM_DEPTH_MODE = "notch_manual_bottom_depth_mode";
        public static readonly string NOTCH_MANUAL_BOTTOM_DEPTH = "notch_manual_bottom_depth";
        public static readonly string NOTCH_MANUAL_BOTTOM_SIZE_X = "notch_manual_bottom_size_x";
        public static readonly string NOTCH_MANUAL_BOTTOM_SIZE_Y = "notch_manual_bottom_size_y";

        /**
         * 焊缝属性名称
         */
        public static readonly string[] WELD_PROPS_LIST = new string[]
        {
            "weld_props0",
            "weld_props1",
            "weld_props2",
            "weld_props3",
            "weld_props4",
            "weld_props5",
            "weld_props6",
            "weld_props7",
            "weld_props8",
            "weld_props9"
        };
    }
}
