﻿namespace InnerDiaphragm1059
{
    public class ParamNames
    {
        /**
         * 图形页参数名称：
         *  内模板中心孔直径
         *  内模板周围孔直径
         *  内模板周围孔圆心到内模板边缘距离
         *  内模板与主零件间距
         *  内模板的折角尺寸(水平与垂直方向)
         *  内模板的折角类型
         */
        public static readonly string PLATR_CENTER_HOLE_DIAMETER = "plate_center_hole_diameter";
        public static readonly string PLATE_AROUND_HOLES_DIAMETER = "plate_around_holes_diameter";
        public static readonly string AROUND_HOLES_CENTER_TO_PLATE_EDGE_DISTANCE = "around_holes_center_to_plate_edge_distance";
        public static readonly string TWO_PLATES_GAP = "two_plates_gap";
        public static readonly string PLATE_CHAMFER_LENGTH = "plate_chamfer_length";
        public static readonly string PLATE_CHAMFER_TYPE = "plate_chamfer_type";
        /**
         * 零件页参数名称
         *  膜板厚度以及通用参数
         *  内膜板位置类型
         */
        public static readonly string PLATE_PROPS = "plate_props";
        public static readonly string PLATE_POSITION_TYPE = "plate_position_type";
        /**
         * 焊缝属性名称
         */
        public static readonly string[] WELD_PROPS_LIST = new string[]
        {
            "weld_props0"
        };
    }
}
