﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ShortColumn133
{

    public class ParamNames
    {

        //图形页
        public static readonly string FLANGE_PLATE_MARGIN_TOP = "flange_plate_margin_top";
        //public static readonly string FLANGE_PLATE_MARGIN_BOTTOM = "flange_plate_margin_bottom";
        public static readonly string FLANGE_PLATE_MARGIN_OUTSIDE = "flange_plate_margin_outside";
        public static readonly string COLUMN_BEAM_DISTANCE = "column_beam_distance";

        //零件页
        public static readonly string TOP_FLANGE_PLATE_PROPS = "top_flange_plate_props";
        public static readonly string BOTTOM_FLANGE_PLATE_PROPS = "bottom_flange_plate_props";
        public static readonly string WEB_PLATE_PROPS = "web_plate_props";
        public static readonly string WEB_CONN_PLATE_PROPS = "web_conn_plate_props";
        public static readonly string OUTSIDE_FLANGE_CONN_PLATE_PROPS = "outside_flange_conn_plate_props";
        public static readonly string TOP_INSIDE_FLANGE_CONN_PLATE_PROPS = "top_inside_flange_conn_plate_props";
        public static readonly string BOTTOM_INSIDE_FLANGE_CONN_PLATE_PROPS = "bottom_inside_flange_conn_plate_props";

        //短柱剪切
        public static readonly string BACKING_BAR_PROPS = "backing_bar_props";
        public static readonly string BACKING_BAR_MARGIN = "backing_bar_margin";
        public static readonly string BACKING_BAR_RADIUS = "backing_bar_radius";
        public static readonly string BACKING_BAR_TOP_PLACE_MODE = "backing_bar_top_place_mode";
        public static readonly string BACKING_BAR_BOTTOM_PLACE_MODE = "backing_bar_bottom_place_mode";
        public static readonly string BACKING_BAR_LENGTH = "backing_bar_length";
        public static readonly string BACKING_BAR_LENGTH_MODE = "backing_bar_length_mode";
        public static readonly string RAT_HOLE_SHAPE_MODE = "rat_hole_shape_mode";

        //接合
        public static readonly string CONN_MODE = "conn_mode";
        public static readonly string SPLICE_CONN77_SETTING = "splice_conn77_setting";
        public static readonly string SPLICE_CONN77_PARAMETER = "splice_conn77_parameter";
        public static readonly string FLANGE_PLATE_INSIDE_CHAMFER_MODE = "flange_plate_inside_chamfer_mode";
        public static readonly string FLANGE_PLATE_INSIDE_CHAMFER_CUTX = "flange_plate_inside_chamfer_cutx";
        public static readonly string FLANGE_PLATE_INSIDE_CHAMFER_CUTY = "flange_plate_inside_chamfer_cuty";
        public static readonly string FLANGE_PLATE_OUTSIDE_CHAMFER_MODE = "flange_plate_outside_chamfer_mode";
        public static readonly string FLANGE_PLATE_OUTSIDE_CHAMFER_CUTX = "flange_plate_outside_chamfer_cutx";
        public static readonly string FLANGE_PLATE_OUTSIDE_CHAMFER_CUTY = "flange_plate_outside_chamfer_cuty";
        public static readonly string WEB_CONN_PLATE_OPEN_MODE = "web_conn_plate_open_mode";
        public static readonly string FLANGE_PLATE_SHAPE_MODE = "flange_plate_shape_mode";
        public static readonly string LIFTING_HOLE_OPEN_MODE = "lifting_hole_open_mode";
        public static readonly string LIFTING_HOLE_VERT_OFFSET = "lifting_hole_vert_offset";
        public static readonly string LIFTING_HOLE_HORI_OFFSET = "lifting_hole_hori_offset";
        public static readonly string LIFTING_HOLE_RADIUS = "lifting_hole_radius";
        public static readonly string WEB_CONN_PLATE_MARGIN_LEFT = "web_conn_plate_margin_left";
        public static readonly string WEB_CONN_PLATE_MARGIN_RIGHT = "web_conn_plate_margin_right";
        public static readonly string WEB_PLATE_BEAM_GAP = "web_plate_beam_gap";
        public static readonly string SHIM_THICKNESS = "shim_thickness";


        //腹板螺栓
        public static readonly string WEB_BOLT_BASIC_PROPS = "web_bolt_basic_props";
        public static readonly string WEB_BOLT_HOLE_PROPS = "web_bolt_hole_props";
        public static readonly string WEB_BOLT_CONTENT_PROPS = "web_bolt_content_props";
        public static readonly string WEB_BOLT_EXTEND_PROPS = "web_bolt_extend_props";
        public static readonly string WEB_BOLT_SHAPE = "web_bolt_shape";
        //public static readonly string WEB_BOLT_ORIENTATION = "web_bolt_orientation";
        public static readonly string WEB_BOLT_LEFT_MARGIN_SIDE = "web_bolt_left_margin_side"; //水平(左侧，靠近柱一侧)
        public static readonly string WEB_BOLT_LEFT_MARGIN_CENTER = "web_bolt_left_margin_center";
        public static readonly string WEB_BOLT_LEFT_COUNT = "web_bolt_left_count";
        public static readonly string WEB_BOLT_LEFT_STRIDE = "web_bolt_left_stride";
        public static readonly string WEB_BOLT_LEFT_MADE_MODE = "web_bolt_left_made_mode";
        public static readonly string WEB_BOLT_RIGHT_MARGIN_SIDE = "web_bolt_right_margin_side"; //水平(右侧，靠经近梁一侧)
        public static readonly string WEB_BOLT_RIGHT_MARGIN_CENTER = "web_bolt_right_margin_center";
        public static readonly string WEB_BOLT_RIGHT_COUNT = "web_bolt_right_count";
        public static readonly string WEB_BOLT_RIGHT_STRIDE = "web_bolt_right_stride";
        public static readonly string WEB_BOLT_VERT_MARGIN_TOP = "web_bolt_vert_margin_top";//垂直
        public static readonly string WEB_BOLT_VERT_MARGIN_BOTTOM = "web_bolt_vert_margin_bottom";
        public static readonly string WEB_BOLT_VERT_COUNT = "web_bolt_vert_count";
        public static readonly string WEB_BOLT_VERT_STRIDE = "web_bolt_vert_stride";
        public static readonly string WEB_BOLT_RIGHT_MADE_MODE = "web_bolt_right_made_mode";


        //翼缘螺栓
        public static readonly string FLANGE_BOLT_BASIC_PROPS = "flange_bolt_basic_props";
        public static readonly string FLANGE_BOLT_HOLE_PROPS = "flange_bolt_hole_props";
        public static readonly string FLANGE_BOLT_CONTENT_PROPS = "flange_bolt_content_props";
        public static readonly string FLANGE_BOLT_EXTEND_PROPS = "flange_bolt_extend_props";
        public static readonly string FLANGE_BOLT_SHAPE = "flange_bolt_shape";
        //public static readonly string FLANGE_BOLT_ORIENTATION = "flange_bolt_orientation";
        public static readonly string FLANGE_BOLT_VERT_STRIDE = "flange_bolt_vert_stride";
        public static readonly string FLANGE_BOLT_VERT_COUNT = "flange_bolt_vert_count";
        public static readonly string FLANGE_BOLT_VERT_MARGIN_TOP = "flange_bolt_vert_margin_top";
        public static readonly string FLANGE_BOLT_VERT_MARGIN_BOTTOM = "flange_bolt_vert_margin_bottom";
        public static readonly string FLANGE_BOLT_HORI_STRIDE = "flange_bolt_hori_stride";
        public static readonly string FLANGE_BOLT_HORI_COUNT = "flange_bolt_hori_count";
        public static readonly string FLANGE_BOLT_HORI_MARGIN_TOP = "flange_bolt_hori_margin_center";
        public static readonly string FLANGE_BOLT_HORI_MARGIN_BOTTOM = "flange_bolt_hori_margin_side";


        //焊缝属性名称
        public static readonly string[] WELD_PROPS_LIST = new string[]
        {
            "weld_props1",
            "weld_props2",
            "weld_props3",
            "weld_props4",
            "weld_props5",
            "weld_props6"
        };
    }
}