﻿using LoongCAD.Geometry;
using U.S.Base_plate_1047_.Main;

namespace U.S.Base_plate_1047_.Running
{
    public class CutMainColumn:RunningBaseClass
    {
        public CutMainColumn(ComponentInstanceContext context) : base(context)
        {
            m_context.CutMainColumn = this;
        }

        
        public void Running()
        {
            var cutPlane = new Plane(m_context.DetailPl);
            cutPlane.MoveThis(m_pub.m_weldGap);
            cutPlane.MoveThis(m_pub.m_basePlatePro.Thickness);
            cutPlane.MoveThis(m_pub.m_groutingThickness);
            m_context.TargetComp.CreateAlignPlane(m_context.MainPart,cutPlane,true);
        }
    }
}