﻿using LoongCAD.UI.Component;
using LoongCAD.Util;
using stiffeners1030.Tool;

namespace stiffeners1030.Main
{
    internal static class ParamNames
    {
        // 图形页参数名称
        public static readonly string PIC_UPPER_LEFT_HORIZONTAL_CORNER_DIMENSION = "pic_upper_left_horizontal_corner_dimension";
        public static readonly string PIC_UPPER_LEFT_VERTICAL_CORNER_DIMENSION = "pic_upper_left_vertical_corner_dimension";
        public static readonly string PIC_UPPER_RIGHT_HORIZONTAL_CORNER_DIMENSION = "pic_upper_right_horizontal_corner_dimension";
        public static readonly string PIC_UPPER_RIGHT_VERTICAL_CORNER_DIMENSION = "pic_upper_right_vertical_corner_dimension";
        public static readonly string PIC_LOWER_LEFT_HORIZONTAL_CORNER_DIMENSION = "pic_lower_left_horizontal_corner_dimension";
        public static readonly string PIC_LOWER_LEFT_VERTICAL_CORNER_DIMENSION = "pic_lower_left_vertical_corner_dimension";
        public static readonly string PIC_LOWER_RIGHT_HORIZONTAL_CORNER_DIMENSION = "pic_lower_right_horizontal_corner_dimension";
        public static readonly string PIC_LOWER_RIGHT_VERTICAL_CORNER_DIMENSION = "pic_lower_right_vertical_corner_dimension";
        //上锁选项
        public static readonly string PIC_LOCK_SELECT = "pic_lock_select";
        // 零件页参数名称
        public static readonly string PARTS_LOCK_SELECT = "parts_lock_select";
        public static readonly string PARTS_UPPER_STIFFENER = "parts_upper_stiffener";
        public static readonly string PARTS_LOWER_STIFFENER = "parts_lower_stiffener";
        // 参数页参数名称
        public static readonly string PARAMETERS_STIFFENER_OFFSET_DISTANCE = "parameters_stiffener_offset_distance";
        public static readonly string PARAMETERS_BEAM_FITTING_OPTION = "parameters_beam_fitting_option";
        
        // 额外补充
        /// <summary>
        /// 加劲肋的数目
        /// </summary>
        public static readonly string OTHER_STIFFENER_NUM = "other_stiffener_num";
        /// <summary>
        /// 加劲肋间距
        /// </summary>
        public static readonly string OTHER_STIFFENER_SPACING= "other_stiffener_spacing";
        
        //焊缝名称
        public static readonly string[] WELD_PROPS_LIST = new string[]
        {
            "weld_props0",
            "weld_props1",
        };
    }
}