﻿namespace BeamSideEndPlate209
{
    public class ParamNames
    {
        /**
         * 图形页参数
         */
        public static readonly string PIC_FRONT_TO_MAIN_BOUND_UP_GAP = "pic_front_to_main_bound_up_gap";
        public static readonly string PIC_FRONT_TO_MAIN_BOUND_DOWN_GAP = "pic_front_to_main_bound_down_gap";
        public static readonly string PIC_END_TO_SUB_BOUND_UP_GAP = "pic_end_to_sub_bound_up_gap";
        public static readonly string PIC_END_TO_SUB_BOUND_DOWN_GAP = "pic_end_to_sub_bound_down_gap";
        public static readonly string PIC_FRONT_TO_END_GAP = "pic_front_to_end_gap";
        public static readonly string PIC_STIFF_TO_MAIN_GAP = "pic_stiff_to_main_gap";

        /*
         * 零件页参数
         */
        public static readonly string PART_END_PROPS = "part_end_props";
        public static readonly string PART_FRONT_PROPS = "part_front_props";
        public static readonly string PART_CONNECT_PROPS = "part_connect_props";
        public static readonly string PART_PAD1_PROPS = "part_pad1_props";
        public static readonly string PART_PAD1_COUNT = "part_pad1_count";
        public static readonly string PART_PAD2_PROPS = "part_pad2_props";
        public static readonly string PART_PAD2_COUNT = "part_pad2_count";
        public static readonly string PART_PAD3_PROPS = "part_pad3_props";
        public static readonly string PART_PAD3_COUNT = "part_pad3_count";

        /**
         * 参数页参数
         */
        public static readonly string PARAM_PAD_BOLT_HORI_MARGIN = "param_pad_bolt_hori_margin";
        public static readonly string PARAM_PAD_BOLT_VERT_MARGIN = "param_pad_bolt_vert_margin";
        public static readonly string PARAM_PAD_SHAPE = "param_pad_shape";
        public static readonly string PARAM_TOLERANCE = "param_tolerance";
        public static readonly string PARAM_BOLT_DIR = "param_bolt_dir";
        public static readonly string PARAM_CHAMFER_TYPE = "param_chamfer_type";
        public static readonly string PARAM_CHAMFER_X = "param_chamfer_x";
        public static readonly string PARAM_CHAMFER_Y = "param_chamfer_y";
        public static readonly string PARAM_GAP_SIZE = "param_gap_size";
        public static readonly string PARAM_STIFF_ENABLED = "param_stiff_enabled";

        /**
         * 螺栓页参数
         */
        public static readonly string BOLT_BASIC_PROPS = "bolt_basic_props";
        public static readonly string BOLT_HOLE_PROPS = "bolt_hole_props";
        public static readonly string BOLT_CONTENT_PROPS = "bolt_content_props";
        public static readonly string BOLT_EXTEND_PROPS = "bolt_extend_props";
        public static readonly string BOLT_SHAPE = "bolt_shape";
        public static readonly string BOLT_IGNORE = "bolt_ignore";
        public static readonly string BOLT_HORI_LEFT_GAP = "bolt_hori_left_gap";
        public static readonly string BOLT_HORI_RIGHT_GAP = "bolt_hori_right_gap";
        public static readonly string BOLT_VERT_UP_GAP = "bolt_vert_up_gap";
        public static readonly string BOLT_VERT_DOWN_GAP = "bolt_vert_down_gap";
        public static readonly string BOLT_VERT_OFFSET_MODE = "bolt_vert_offset_mode";
        public static readonly string BOLT_VERT_OFFSET = "bolt_vert_offset";
        public static readonly string BOLT_HORI_OFFSET_MODE = "bolt_hori_offset_mode";
        public static readonly string BOLT_HORI_OFFSET = "bolt_hori_offset";
        public static readonly string BOLT_VERT_COUNT = "bolt_vert_count";
        public static readonly string BOLT_VERT_STRIDE = "bolt_vert_stride";
        public static readonly string BOLT_HORI_COUNT = "bolt_hori_count";
        public static readonly string BOLT_HORI_STRIDE = "bolt_hori_stride";

        /**
         * 洞页参数
         */
        public static readonly string HOLE_NUMBER = "hole_number";
        public static readonly string HOLE_STANDARD = "hole_standard";
        public static readonly string HOLE_UP_DIAMETER = "hole_up_diameter";
        public static readonly string HOLE_UP_HORI_GAP = "hole_up_hori_gap";
        public static readonly string HOLE_UP_VERT_GAP = "hole_up_vert_gap";
        public static readonly string HOLE_DOWN_DIAMETER = "hole_down_diameter";
        public static readonly string HOLE_DOWN_HORI_GAP = "hole_down_hori_gap";
        public static readonly string HOLE_DOWN_VERT_GAP = "hole_down_vert_gap";

        /**
         * 焊缝属性名称
         */
        public static readonly string[] WELD_PROPS_LIST = new string[]
        {
            "weld_props0",
            "weld_props1",
            "weld_props2",
            "weld_props3",
            "weld_props4",
            "weld_props5",
            "weld_props6",
            "weld_props7",
            "weld_props8"
        };
    }
}
