﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ColdRolledOverlap1
{
    public static class ParamNames
    {
        //图形页参数
        public static readonly string PURLIN_ALIGN_MARGIN = "purlin_align_margin";
        public static readonly string PURLIN_ALIGN_GAP = "purlin_align_gap";
        public static readonly string PURLIN_ALIGN_PLANE_OFFSET = "purlin_align_plane_offset";
        public static readonly string CLEAT_WIDTH = "cleat_width";
        public static readonly string CLEAT_HEIGHT = "cleat_height";

        //夹板参数
        public static readonly string CLEAT_PROFILE = "cleat_profile";
        public static readonly string CLEAT_STIFF_PROPS = "cleat_stiff_props";
        public static readonly string CLEAT_MODE = "cleat_mode";
        public static readonly string CREATE_ORIENT = "create_orient";
        public static readonly string CLEAT_RAFTER_CONNECT_MODE = "cleat_rafter_connect_mode";
        public static readonly string CLEAT_STIFF_TOP_CHAMFER_X = "cleat_stiff_top_chamfer_x";
        public static readonly string CLEAT_STIFF_TOP_CHAMFER_Y = "cleat_stiff_top_chamfer_y";
        public static readonly string CLEAT_STIFF_BOTTOM_INSIDE_CHAMFER_X = "cleat_stiff_bottom_inside_chamfer_x"; //加劲肋折角参数
        public static readonly string CLEAT_STIFF_BOTTOM_INSIDE_CHAMFER_Y = "cleat_stiff_bottom_inside_chamfer_y";
        public static readonly string CLEAT_STIFF_BOTTOM_OUTSIDE_CHAMFER_X = "cleat_stiff_bottom_outside_chamfer_x";
        public static readonly string CLEAT_STIFF_BOTTOM_OUTSIDE_CHAMFER_Y = "cleat_stiff_bottom_outside_chamfer_y";
        public static readonly string CLEAT_RAFTER_BOLT_GAP_HORI = "cleat_rafter_bolt_gap_hori"; //椽子螺栓
        public static readonly string CLEAT_RAFTER_BOLT_STRIDE_VERT = "cleat_rafter_bolt_stride_vert";
        public static readonly string CLEAT_RAFTER_BOLT_COUNT_VERT = "cleat_rafter_bolt_count_vert";
        public static readonly string CLEAT_RAFTER_BOLT_INSIDE_MARGIN_VERT = "cleat_rafter_bolt_inside_margin_vert";
        public static readonly string CREATE_PLANE_OFFSET = "create_plane_offset";
        public static readonly string CLEAT_RAFTER_BOLT_BASIC_PROPS = "cleat_rafter_bolt_basic_props";
        public static readonly string CLEAT_RAFTER_BOLT_CONTENT_PROPS = "cleat_rafter_bolt_content_props";
        public static readonly string CLEAT_STIFF_MARGIN_INSIDE = "cleat_stiff_margin_inside";
        public static readonly string CLEAT_STIFF_MARGIN_TOP = "cleat_stiff_margin_top";
        public static readonly string CLEAT_NOTCH_OPEN = "cleat_notch_open";
        public static readonly string NOTCH_MARGIN_CENTER = "notch_margin_center";
        public static readonly string NOTCH_MARGIN_SIDE = "notch_margin_side";


        //拉条参数
        public static readonly string STAY_PROFILE = "stay_profile";
        public static readonly string STAY_ANGLE = "stay_angle";
        public static readonly string STAY_PLACE = "stay_place";
        public static readonly string PURIN_WEB_HOLE = "purin_web_hole";
        public static readonly string STAY_STIFF_PROPS = "stay_stiff_props";
        public static readonly string STAY_TOP_STIFF_PROPS = "stay_top_stiff_props";
        public static readonly string STAY_STIFF_VERT_OFFSET = "stay_stiff_vert_offset";
        public static readonly string STAY_STIFF_CHAMFER_TYPE = "stay_stiff_chamfer_type";
        public static readonly string STAY_STIFF_CHAMFER_X = "stay_stiff_chamfer_x";
        public static readonly string STAY_STIFF_CHAMFER_Y = "stay_stiff_chamfer_y";
        public static readonly string STAY_BOTTOM_BOLT_VERT_OFFSET = "stay_bottom_bolt_vert_offset";
        public static readonly string STAY_BOTTOM_BOLT_HORI_OFFSET = "stay_bottom_bolt_hori_offset";
        public static readonly string STAY_TOP_BOLT_VERT_OFFSET = "stay_top_bolt_vert_offset";
        public static readonly string STAY_TOP_BOLT_VERT_ALIGN_MODE = "stay_top_bolt_vert_align_mode";
        public static readonly string STAY_TOP_BOLT_HORI_OFFSET_LEFT = "stay_top_bolt_hori_offset_left";
        public static readonly string STAY_TOP_BOLT_HORI_OFFSET_RIGHT = "stay_top_bolt_hori_offset_right";
        public static readonly string STAY_BOLT_SIDE_MARGIN_LEFT = "stay_bolt_side_margin_left";
        public static readonly string STAY_BOLT_SIDE_MARGIN_RIGHT = "stay_bolt_side_margin_right";
        public static readonly string STAY_BOLT_TOP_MARGIN = "stay_bolt_top_margin";
        public static readonly string STAY_BOLT_BOTTOM_MARGIN = "stay_bolt_bottom_margin";
        public static readonly string STAY_PURLIN_BOLT_BASIC_PROPS = "stay_purlin_bolt_basic_props";
        public static readonly string STAY_RAFTER_BOLT_BASIC_PROPS = "stay_rafter_bolt_basic_props";
        public static readonly string STAY_PURLIN_BOLT_STRIDE = "stay_purlin_bolt_stride";
        public static readonly string STAY_PURLIN_BOLT_COUNT = "stay_purlin_bolt_count";
        public static readonly string STAY_STIFF_BOLT_STRIDE = "stay_stiff_bolt_stride";
        public static readonly string STAY_STIFF_BOLT_COUNT = "stay_stiff_bolt_count";
        public static readonly string STAY_TOP_STIFF_OPEN = "stay_top_stiff_open";
        public static readonly string STAY_TOP_STIFF_HEIGHT = "top_stiff_height";
        public static readonly string STAY_TOP_STIFF_WIDTH = "top_stiff_width";


        //螺栓页（夹板螺栓）
        public static readonly string CLEAT_BOLT_PURLIN_MARGIN_TOP = "cleat_bolt_purlin_margin_top";
        public static readonly string CLEAT_BOLT_PURLIN_COUNT_VERT = "cleat_bolt_purlin_count_vert";
        public static readonly string CLEAT_BOLT_PURLIN_STRIDE_VERT = "cleat_bolt_purlin_stride_vert";
        public static readonly string CLEAT_BOLT_PURLIN_MARGIN_BOTTOM = "cleat_bolt_purlin_margin_bottom";
        public static readonly string CLEAT_BOLT_PURLIN_MARGIN_LEFT = "cleat_bolt_purlin_margin_left";
        public static readonly string CLEAT_BOLT_PURLIN_COUNT_HORI = "cleat_bolt_purlin_count_hori";
        public static readonly string CLEAT_BOLT_PURLIN_STRIDE_HORI = "cleat_bolt_purlin_stride_hori";
        public static readonly string CLEAT_BOLT_PURLIN_MARGIN_RIGHT = "cleat_bolt_purlin_margin_right";
        public static readonly string CLEAT_BOLT_BASIC_PROPS = "cleat_bolt_basic_props";
        public static readonly string CLEAT_BOLT_HOLE_PROPS = "cleat_bolt_hole_props";
        public static readonly string CLEAT_BOLT_CONTENT_PROPS = "cleat_bolt_content_props";
        public static readonly string CLEAT_BOLT_EXTEND_PROPS = "cleat_bolt_extend_props";

        //檩条重叠设置
        public static readonly string OVERLAP_MODE = "overlap_mode";
        public static readonly string OVERLAP_OFFSET = "overlap_offset";
        public static readonly string OVERLAP_BOLT_GAP = "overlap_bolt_gap";
        public static readonly string OVERLAP_BOLT_MARGIN = "overlap_bolt_margin";
        public static readonly string OVERLAP_BOLT_VERT_GAP = "overlap_bolt_vert_gap";
        public static readonly string OVERLAP_BOLT_MARGIN_TOP = "overlap_bolt_margin_top";
        public static readonly string OVERLAP_BOLT_MARGIN_BOTTOM = "overlap_bolt_margin_bottom";
        public static readonly string OVERLAP_BOLT_PLACE = "overlap_bolt_place";
        public static readonly string OVERLAP_BOLT_HOLE = "overlap_bolt_hole";

        /*
         * 焊缝属性名称
         */
        public static readonly string[] WELD_PROPS_LIST = new string[]
        {
            "weld_props1",
            "weld_props2",
            "weld_props3",
            "weld_props4",
            "weld_props5",
            "weld_props6"
        };

    }
}
