﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ColdRolledOverlap1
{
    public enum TopSiffOpen
    {
        CLOSE = 1,
        OPEN = 2
    }

    /// <summary>
    /// 拉条上侧螺栓对齐夹板螺栓
    /// </summary>
    public enum StayTopBoltPlace
    {
        ALIGN_CLEAT_TOP_BOLT = 1,
        ALIGN_CLEAT_MIDDLE_BOLT = 2,
        ALIGN_CLEAT_BOTTOM_BOLT = 3
    }

    /// <summary>
    /// 左、右拉条是否开启
    /// </summary>
    public enum StayOpenMode
    {
        NONE = 1,
        /// <summary>
        /// 创建两侧拉条和加劲肋
        /// </summary>
        BOTH = 2,
        /// <summary>
        /// 创建右侧拉条和右侧加劲肋
        /// </summary>
        RIGHT = 3,
        /// <summary>
        /// 创建左侧拉条和左侧加劲肋
        /// </summary>
        LEFT = 4,
        /// <summary>
        /// 创建右侧拉条，并创建两侧加劲肋
        /// </summary>
        RIGHT_ALL_STIFF = 5,
        /// <summary>
        /// 创建左侧拉条，并创建两侧加劲肋
        /// </summary>
        LEFT_ALL_STIFF = 6
    }
}
