﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ColumnSplice42
{
    public static class ParamNames
    {

        /**
         * 图形页参数名称
         */
        public static readonly string PIC_END_GAP = "pic_end_gap";
        public static readonly string PIC_MAIN_GAP = "pic_main_gap";
        public static readonly string PIC_SUB_GAP = "pic_sub_gap";
        public static readonly string PIC_SHEAR_PLATE_THICKNESS = "pic_shear_plate_thickness";

        /**
         *  零件
         */
        public static readonly string PART_WEB_SHEAR = "part_web_shear";
        public static readonly string PART_FLANGE_SHEAR = "part_flange_shear";

        // 腹板     
        public static readonly string WEB_PLATE_PROPS = "web_plate_props";

        // 翼缘板
        public static readonly string FLANGE_PLATE_PROPS = "flange_plate_props";

        /**
        * 参数
        */

        /**
        * 螺栓洞参数名称
        */
       
        public static readonly string ARG_HOLE_GAP_H = "arg_hole_gap_h";
        public static readonly string ARG_HOLE_GAP_V = "arg_hole_gap_v";
        public static readonly string ARG_HOLE_R = "arg_hole_r";

        public static readonly string ARG_SHEAR_MODE = "arg_share_nums";
        public static readonly string ARG_HOLE_MODE = "arg_hole_mode";

        /**
         * 腹板螺栓
         */

        public static readonly string WEB_BOLT_BASIC_PROPS = "web_bolt_standard_props";
        public static readonly string WEB_BOLT_HOLE_PROPS = "web_bolt_hole_props";
        public static readonly string WEB_BOLT_CONTENT_PROPS = "web_bolt_content_props";
        public static readonly string WEB_BOLT_EXTEND_PROPS = "web_bolt_extend_props";

        public static readonly string WEB_BOLT_SHAPE = "web_bolt_shape";

        public static readonly string WEB_BOLT_HORI_COUNT = "web_bolt_hori_count";
        public static readonly string WEB_BOLT_HORI_STRIDE = "web_bolt_hori_stride";
        public static readonly string WEB_BOLT_LEFT_MARGIN = "web_bolt_left_margin";
        public static readonly string WEB_BOLT_RIGHT_MARGIN = "web_bolt_right_margin";

        // 主零件
        public static readonly string WEBM_BOLT_TOP_MARGIN = "webm_bolt_top_margin";
        public static readonly string WEBM_BOLT_BOTTOM_MARGIN = "webm_bolt_bottom_margin";
        public static readonly string WEBM_BOLT_VERT_COUNT = "webm_bolt_vert_count";
        public static readonly string WEBM_BOLT_VERT_STRIDE = "webm_bolt_vert_stride";
        public static readonly string WEBM_BOLT_MADE_MODE = "webm_bolt_made_mode";

        //次零件
        public static readonly string WEBS_BOLT_TOP_MARGIN = "webs_bolt_top_margin";
        public static readonly string WEBS_BOLT_BOTTOM_MARGIN = "webs_bolt_bottom_margin";
        public static readonly string WEBS_BOLT_VERT_COUNT = "webs_bolt_vert_count";
        public static readonly string WEBS_BOLT_VERT_STRIDE = "webs_bolt_vert_stride";
        public static readonly string WEBS_BOLT_MADE_MODE = "webs_bolt_made_mode";


        /**
          * 翼板螺栓
          */
       
        public static readonly string FLANGE_BOLT_BASIC_PROPS = "flange_bolt_standard_props";
        public static readonly string FLANGE_BOLT_HOLE_PROPS = "flange_bolt_hole_props";
        public static readonly string FLANGE_BOLT_CONTENT_PROPS = "flange_bolt_content_props";
        public static readonly string FLANGE_BOLT_EXTEND_PROPS = "flange_bolt_extend_props";

        public static readonly string FLANGE_BOLT_SHAPE = "flange_bolt_shape";
        public static readonly string FLANGE_BOLT_HORI_COUNT = "flange_bolt_hori_count";
        public static readonly string FLANGE_BOLT_HORI_STRIDE = "flange_bolt_hori_stride";
        public static readonly string FLANGE_BOLT_LEFT_MARGIN = "flange_bolt_left_margin";
        public static readonly string FLANGE_BOLT_RIGHT_MARGIN = "flange_bolt_right_margin";

        // 主零件
        public static readonly string FLANGEM_BOLT_VERT_COUNT = "flangem_bolt_vert_count";    
        public static readonly string FLANGEM_BOLT_VERT_STRIDE = "flangem_bolt_vert_stride";
        public static readonly string FLANGEM_BOLT_TOP_MARGIN = "flangem_bolt_top_margin";
        public static readonly string FLANGEM_BOLT_BOTTOM_MARGIN = "flangem_bolt_bottom_margin";

        // 次零件
        public static readonly string FLANGES_BOLT_VERT_COUNT = "flanges_bolt_vert_count";
        public static readonly string FLANGES_BOLT_VERT_STRIDE = "flanges_bolt_vert_stride";
        public static readonly string FLANGES_BOLT_TOP_MARGIN = "flanges_bolt_top_margin";
        public static readonly string FLANGES_BOLT_BOTTOM_MARGIN = "flanges_bolt_bottom_margin";

    }

}
