﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ColumnWithStiffeners182
{
    public static class ParamNames
    {

        /**
         * 图形页参数名称
         */
        
        public static readonly string PIC_END_CUT = "pic_end_cut";
        public static readonly string PIC_FLANGE_CUT = "pic_flange_cut";
        public static readonly string PIC_END_GAP = "pic_end_gap";
        public static readonly string PIC_FLANGE_GAP = "pic_flange_gap";
        public static readonly string PLATE_MARGIN_COLUMN = "plate_margin_column";
        public static readonly string WELD_READY_MODE = "weld_ready_mode";
        public static readonly string PLATE_SHAPE = "plate_shape";
        public static readonly string BEAM_ALIGN_PLANE = "beam_align_plane";

        /**
         * 板页参考名称
         */
        public static readonly string PLATE_PROPS = "plate_props";
        public static readonly string PLATE_CHAMFER_TYPE = "plate_chamfer_type";
        public static readonly string PLATE_CHAMFER_X = "plate_chamfer_x";
        public static readonly string PLATE_CHAMFER_Y = "plate_chamfer_y";
        public static readonly string PLATE_CHAMFER_TYPE2 = "plate_chamfer_type2";
        public static readonly string PLATE_OUTSIDE_CHAMFER_CUT = "plate_outside_chamfer_cut";
        public static readonly string PLATE_ORIENTATION = "plate_orientation";
        public static readonly string PLATE_CREATION_MODE = "plate_creation_mode";
        public static readonly string PLATE_GAP = "plate_gap";

        /**
         * 螺栓页参考名称
         */
        public static readonly string BOLT_BASIC_PROPS = "bolt_basic_standard_props";
        public static readonly string BOLT_HOLE_PROPS = "bolt_hole_props";
        public static readonly string BOLT_CONTENT_PROPS = "bolt_content_props";
        public static readonly string BOLT_EXTEND_PROPS = "bolt_extend_props";
        public static readonly string BOLT_SHAPE = "bolt_shape";
        public static readonly string BOLT_ARRANGE_MODE = "bolt_arrange_mode";
        public static readonly string BOLT_IGNORE = "bolt_delete_indices";
        public static readonly string BOLT_HORI_OFFSET = "bolt_hori_offset";
        public static readonly string BOLT_VERT_OFFSET = "bolt_vert_offset";
        public static readonly string BOLT_VERT_OFFSET_MODE = "bolt_vert_offset_mode";
        public static readonly string BOLT_TOP_MARGIN = "bolt_top_margin";
        public static readonly string BOLT_BOTTOM_MARGIN = "bolt_bottom_margin";
        public static readonly string BOLT_RIGHT_MARGIN = "bolt_right_margin";
        public static readonly string BOLT_HORI_COUNT = "bolt_hori_count";
        public static readonly string BOLT_VERT_COUNT = "bolt_vert_count";
        public static readonly string BOLT_HORI_STRIDE = "bolt_hori_stride";
        public static readonly string BOLT_VERT_STRIDE = "bolt_vert_stride";
        public static readonly string BOLT_DELETE_INDICES = "bolt_delete_indices";

        /**
         * 加劲肋页参考名称
         */
        public static readonly string STIFF_TOP_NS_PROPS = "stiff_top_ns_props";
        public static readonly string STIFF_TOP_FS_PROPS = "stiff_top_fs_props";
        public static readonly string STIFF_BOTTOM_NS_PROPS = "stiff_bottom_ns_props";
        public static readonly string STIFF_BOTTOM_FS_PROPS = "stiff_bottom_fs_props";
        public static readonly string STIFF_ORIENTATION = "stiff_orientation";
        public static readonly string STIFF_CREATION = "stiff_creation_mode";
        public static readonly string STIFF_SHAPE = "stiff_shape";
        public static readonly string STIFF_WEB_GAP = "stiff_web_gap";
        public static readonly string STIFF_TOP_NS_OFFSET = "stiff_top_ns_offset";
        public static readonly string STIFF_TOP_FS_OFFSET = "stiff_top_fs_offset";
        public static readonly string STIFF_BOTTOM_NS_OFFSET = "stiff_bottom_ns_offset";
        public static readonly string STIFF_BOTTOM_FS_OFFSET = "stiff_bottom_fs_offset";
        public static readonly string STIFF_NS_FLANGE_GAP_X = "stiff_ns_flange_gap_x";
        public static readonly string STIFF_NS_FLANGE_GAP_Y = "stiff_ns_flange_gap_y";
        public static readonly string STIFF_FS_FLANGE_GAP_X = "stiff_fs_flange_gap_x";
        public static readonly string STIFF_FS_FLANGE_GAP_Y = "stiff_fs_flange_gap_y";
        public static readonly string STIFF_CHAMFER_TYPE_INSIDE = "stiff_chamfer_type_inside";
        public static readonly string STIFF_CHAMFER_X_INSIDE = "stiff_chamfer_x_inside";
        public static readonly string STIFF_CHAMFER_Y_INSIDE = "stiff_chamfer_y_inside";
        public static readonly string STIFF_CHAMFER_TYPE_OUTSIDE = "stiff_chamfer_type_outside";
        public static readonly string STIFF_CHAMFER_X_OUTSIDE = "stiff_chamfer_x_outside";
        public static readonly string STIFF_CHAMFER_Y_OUTSIDE = "stiff_chamfer_y_outside";

        /**
         * 腋板页参考名称
         */
        public static readonly string HAUNCH_TOP_PROPS = "haunch_top_props";
        public static readonly string HAUNCH_BOTTOM_PROPS = "haunch_bottom_props";
        public static readonly string HAUNCH_TOP_CHAMFER_X = "haunch_top_chamfer_x";
        public static readonly string HAUNCH_TOP_CHAMFER_Y = "haunch_top_chamfer_y";
        public static readonly string HAUNCH_BOTTOM_CHAMFER_X = "haunch_bottom_chamfer_x";
        public static readonly string HAUNCH_BOTTOM_CHAMFER_Y = "haunch_bottom_chamfer_y";
        public static readonly string HAUNCH_CREATION = "haunch_creation_mode";

        /**
         * 双板页参考名称
         */
        public static readonly string DOUBLE_PLATE_PROPS = "double_plate_props";
        public static readonly string DOUBLE_CREATION_MODE = "double_creation_mode";
        public static readonly string DOUBLE_PLATE_EDGE_SHAPE = "double_plate_edge_shape";
        public static readonly string DOUBLE_PLATE_BEVEL_ANGLE = "double_plate_bevel_angle";
        public static readonly string DOUBLE_HOLE_DIAMETER = "double_hole_diameter";
        public static readonly string DOUBLE_SLOT_WIDTH = "double_slot_width";
        public static readonly string DOUBLE_SLOT_HEIGHT = "double_slot_height";
        public static readonly string DOUBLE_HOLE_HORI_COUNT = "double_hole_hori_count";
        public static readonly string DOUBLE_HOLE_VERT_COUNT = "double_hole_vert_count";
        public static readonly string DOUBLE_HOLE_HORI_STRIDE = "double_hole_hori_stride";
        public static readonly string DOUBLE_HOLE_VERT_STRIDE = "double_hole_vert_stride";
        public static readonly string DOUBLE_HOLE_LEFT_MARGIN = "double_hole_left_margin";
        public static readonly string DOUBLE_HOLE_RIGHT_MARGIN = "double_hole_right_margin";
        public static readonly string DOUBLE_HOLE_TOP_MARGIN = "double_hole_top_margin";
        public static readonly string DOUBLE_HOLE_BOTTOM_MARGIN = "double_hole_bottom_margin";
        public static readonly string DOUBLE_FLANGE_GAP = "double_flange_gap";
        public static readonly string DOUBLE_BOTTOM_GAP = "double_bottom_gap";

        /**
         * 焊缝属性名称
         */
        public static readonly string[] WELD_PROPS_LIST = new string[]
        {
            "weld_props0",
            "weld_props1",
            "weld_props2",
            "weld_props3",
            "weld_props4",
            "weld_props5",
            "weld_props6",
            "weld_props7",
            "weld_props8",
            "weld_props9",
        };

    }

}
