﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConnectingPlates14
{

    public class ParamNames
    {

        // 图形页配置默认值
        public static readonly string PIC_A_TOP_MARGIN = "pic_a_top_margin";
        public static readonly string PIC_A_BOTTOM_MARGIN = "pic_a_bottom_margin";
        public static readonly string PIC_B_TOP_MARGIN = "pic_b_top_margin";
        public static readonly string PIC_B_BOTTOM_MARGIN = "pic_b_bottom_margin";
        public static readonly string PIC_SARKING_MARGIN = "pic_sarking_margin";
        public static readonly string PIC_STIFF_GAP = "pic_stiff_gap";
        public static readonly string PIC_SARKING_GAP = "pic_sarking_gap";
        public static readonly string PIC_A_EAR_MARGIN = "pic_a_ear_margin";
        public static readonly string PIC_A_EAR_MARGIN_SIDE = "pic_a_ear_margin_side";
        public static readonly string SUB_HAUNCH_SHAPE = "sub_haunch_shape";//次加劲板(腋板)
        public static readonly string SUB_HAUNCH_INSIDE_CHAMFER_CUTX = "sub_haunch_inside_chamfer_cutx";
        public static readonly string SUB_HAUNCH_INSIDE_CHAMFER_CUTY = "sub_haunch_inside_chamfer_cuty";
        public static readonly string SUB_HAUNCH_OUTSIDE_CHAMFER_CUTX = "sub_haunch_outside_chamfer_cutx";
        public static readonly string SUB_HAUNCH_OUTSIDE_CHAMFER_CUTY = "sub_haunch_outside_chamfer_cuty";
        public static readonly string MAIN_HAUNCH_SHAPE = "main_haunch_shape";//主加劲板(腋板)
        public static readonly string MAIN_HAUNCH_INSIDE_CHAMFER_CUTX = "main_haunch_inside_chamfer_cutx";
        public static readonly string MAIN_HAUNCH_INSIDE_CHAMFER_CUTY = "main_haunch_inside_chamfer_cuty";
        public static readonly string MAIN_HAUNCH_OUTSIDE_CHAMFER_CUTX = "main_haunch_outside_chamfer_cutx";
        public static readonly string MAIN_HAUNCH_OUTSIDE_CHAMFER_CUTY = "main_haunch_outside_chamfer_cuty";
        public static readonly string SUB_WEB_STIFF_MARGIN_TOP = "sub_web_stiff_margin_top";//腹板加劲板（次）
        public static readonly string SUB_WEB_STIFF_COUNT = "sub_web_stiff_count";
        public static readonly string SUB_WEB_STIFF_STRIDE = "sub_web_stiff_stride";
        public static readonly string SUB_WEB_HAUNCH_SHAPE = "sub_web_haunch_shape";
        public static readonly string SUB_WEB_HAUNCH_OUTSIDE_CHAMFER_CUTX = "sub_web_haunch_outside_chamfer_cutx";
        public static readonly string SUB_WEB_HAUNCH_OUTSIDE_CHAMFER_CUTY = "sub_web_haunch_outside_chamfer_cuty";
        public static readonly string SUB_WEB_HAUNCH_INSIDE_CHAMFER_CUTX = "sub_web_haunch_inside_chamfer_cutx";
        public static readonly string SUB_WEB_HAUNCH_INSIDE_CHAMFER_CUTY = "sub_web_haunch_inside_chamfer_cuty";
        public static readonly string MAIN_WEB_STIFF_MARGIN_TOP = "main_web_stiff_margin_top";//腹板加劲板（主）
        public static readonly string MAIN_WEB_STIFF_COUNT = "main_web_stiff_count";
        public static readonly string MAIN_WEB_STIFF_STRIDE = "main_web_stiff_stride";
        public static readonly string MAIN_WEB_HAUNCH_OUTSIDE_CHAMFER_CUTX = "main_web_haunch_outside_chamfer_cutx";
        public static readonly string MAIN_WEB_HAUNCH_OUTSIDE_CHAMFER_CUTY = "main_web_haunch_outside_chamfer_cuty";
        public static readonly string MAIN_WEB_HAUNCH_INSIDE_CHAMFER_CUTX = "main_web_haunch_inside_chamfer_cutx";
        public static readonly string MAIN_WEB_HAUNCH_INSIDE_CHAMFER_CUTY = "main_web_haunch_inside_chamfer_cuty";
        public static readonly string MAIN_WEB_HAUNCH_SHAPE = "main_web_haunch_shape";

        // 零件页配置默认值
        public static readonly string MAIN_PLATE_PROPS = "main_plate_props";
        public static readonly string SUB_PLATE_PROPS = "sub_plate_props";
        public static readonly string END_SARKING_MODE = "end_sarking_mode";
        public static readonly string TOP_HAUNCH_PLATES_PROPS = "top_haunch_plates_props"; //上腋板属性
        public static readonly string BOTTOM_HAUNCH_PLATES_PROPS = "bottom_haunch_plates_props"; //下腋板属性
        public static readonly string WEB_STIFF_PROPS = "web_stiff_props";//腹板加劲板

        // ...其他主板和子板常量
        public static readonly string PAD_1_PLATE_PROPS = "pad_plate1_props";
        public static readonly string PAD_1_PLATE_NUM = "pad_plate1_num";
        public static readonly string PAD_2_PLATE_PROPS = "pad_plate2_props";
        public static readonly string PAD_2_PLATE_NUM = "pad_plate2_num";
        public static readonly string PAD_3_PLATE_PROPS = "pad_plate3_props";
        public static readonly string PAD_3_PLATE_NUM = "pad_plate3_num";
        public static readonly string SHIM_WELD_MODE = "under_board_weld";

        // 耳板配置
        public static readonly string EAR_PLATE_PROPS = "pad_plate_props";

        // 衬板配置
        public static readonly string MAIN_STIFF_PLATE_PROPS = "main_stiff_plate_props";
        public static readonly string SUB_STIFF_PLATE_PROPS = "sub_stiff_plate_props";
        public static readonly string PAD_BOLT_BOTTOM_MARGIN = "pad_bolt_margin_bottom";
        public static readonly string PAD_BOLT_RIGHT_MARGIN = "pad_bolt_margin_right";
        public static readonly string PAD_CENTER_GAP = "pad_center_gap";
        public static readonly string PAD_BOLT_SIZE = "pad_bolt_size";
        public static readonly string SHIM_SLOT_MODE = "shim_slot_mode";

        // 耳板参数配置
        public static readonly string EAR_PLATE_BOLT_HORI_COUNT = "ear_plate_bolt_hori_count";
        public static readonly string EAR_PLATE_BOLT_HORI_STRIDE = "ear_plate_bolt_hori_stride";
        public static readonly string EAR_PLATE_BOLT_VERT_COUNT = "ear_plate_bolt_vert_count";
        public static readonly string EAR_PLATE_BOLT_VERT_STRIDE = "ear_plate_bolt_vert_stride";
        public static readonly string EAR_PLATE_BOLT_H_MARGIN = "ear_plate_bolt_margin_h";
        public static readonly string EAR_PLATE_BOLT_V_MARGIN = "ear_plate_bolt_margin_v";
        public static readonly string EAR_PLATE_BOLT_SIZE = "ear_plate_bolt_size";
        public static readonly string EAR_PLATE_END_PLATE_MARGIN = "ear_plate_end_plate_margin";
        public static readonly string MIN_GAP = "min_gap";
        public static readonly string EAR_PLATE_PLACE = "ear_plate_place";

        // 螺栓页参考名称
        public static readonly string BOLT_BASIC_PROPS = "bolt_basic_standard_props";
        public static readonly string BOLT_HOLE_PROPS = "bolt_hole_props";
        public static readonly string BOLT_CONTENT_PROPS = "bolt_content_props";
        public static readonly string BOLT_EXTEND_PROPS = "bolt_extend_props";
        public static readonly string BOLT_SHAPE = "bolt_shape";
        public static readonly string BOLT_ORIENTATION = "bolt_orientation"; //TODO （不该存在本选项）
        public static readonly string BOLT_IGNORE = "bolt_delete_indices";
        public static readonly string BOLT_HORI_OFFSET = "bolt_hori_offset";
        public static readonly string BOLT_VERT_OFFSET = "bolt_vert_offset";
        public static readonly string BOLT_VERT_OFFSET_MODE = "bolt_vert_offset_mode"; //
        public static readonly string BOLT_HORI_OFFSET_MODE = "bolt_hori_offset_mode"; //TODO （本项缺失）
        public static readonly string BOLT_TOP_MARGIN = "bolt_top_margin";
        public static readonly string BOLT_BOTTOM_MARGIN = "bolt_bottom_margin";
        public static readonly string BOLT_LEFT_MARGIN = "bolt_left_margin";
        public static readonly string BOLT_RIGHT_MARGIN = "bolt_right_margin";
        public static readonly string BOLT_HORI_COUNT = "bolt_hori_count";
        public static readonly string BOLT_VERT_COUNT = "bolt_vert_count";
        public static readonly string BOLT_HORI_STRIDE = "bolt_hori_stride";
        public static readonly string BOLT_VERT_STRIDE = "bolt_vert_stride";
        public static readonly string BOLT_DELETE_INDICES = "bolt_delete_indices";

        // 主端板螺栓孔配置 
        public static readonly string END1_HOLE_TW_MARGIN = "end1_hole_tw_margin";
        public static readonly string END1_HOLE_TH_MARGIN = "end1_hole_th_margin";
        public static readonly string END1_HOLE_BW_MARGIN = "end1_hole_bw_margin";
        public static readonly string END1_HOLE_BH_MARGIN = "end1_hole_bh_margin";
        public static readonly string MAIN_END_PLATE_BOLT_STANDARD = "main_end_plate_bolt_standard";
        public static readonly string MAIN_END_PLATE_BOLT_TYPE = "main_end_plate_bolt_type";
        public static readonly string MAIN_END_PLATE_BOLT_SIZE_TOP = "main_end_plate_bolt_size_top";
        public static readonly string MAIN_END_PLATE_BOLT_SIZE_BOTTOM = "main_end_plate_bolt_size_bottom";
        public static readonly string END1_PLATE_HOLE_MODE = "end1_plate_hole_mode";

        // 次端板螺栓孔配置 
        public static readonly string END2_HOLE_TW_MARGIN = "end2_hole_tw_margin";
        public static readonly string END2_HOLE_TH_MARGIN = "end2_hole_th_margin";
        public static readonly string END2_HOLE_BW_MARGIN = "end2_hole_bw_margin";
        public static readonly string END2_HOLE_BH_MARGIN = "end2_hole_bh_margin";
        public static readonly string SUB_END_PLATE_BOLT_STANDARD = "sub_end_plate_bolt_standard";
        public static readonly string SUB_END_PLATE_BOLT_TYPE = "sub_end_plate_bolt_type";
        public static readonly string SUB_END_PLATE_BOLT_SIZE_TOP = "sub_end_plate_bolt_size_top";
        public static readonly string SUB_END_PLATE_BOLT_SIZE_BOTTOM = "sub_end_plate_bolt_size_bottom";
        public static readonly string END2_PLATE_HOLE_MODE = "end2_plate_hole_mode";

        // 焊缝属性名称
        public static readonly string[] WELD_PROPS_LIST = new string[]
        {
            "weld_props0",
            "weld_props1",
            "weld_props2",
            "weld_props3",
            "weld_props4",
            "weld_props5",
            "weld_props6",
            "weld_props7",
        };
    }
}
