﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConnectingPlates14
{
    

    public enum EndPlateHoleMode
    {
        /// <summary>
        /// 不开孔
        /// </summary>
        NONE = 1,
        /// <summary>
        /// 只有上侧有一个孔
        /// </summary>
        UP_ONE = 2, 
        /// <summary>
        /// 上下各一个孔
        /// </summary>
        TWO = 3, 
        /// <summary>
        /// 上下各有两个孔，共4个孔
        /// </summary>
        FOUR = 4, 
    }


    public enum ShimSlotMode
    {
        NONE = 1,
        /// <summary>
        /// 槽水平朝向（开口朝右），垂直排列
        /// </summary>
        HORI_SLOT = 2,
        /// <summary>
        /// 槽垂直朝向（开口朝下），水平排列
        /// </summary>
        VERT_SLOT = 3,
        SEPRATE_VERT_SLOT = 4,  //tk22版的槽，暂时不做
        SEPRATE_HORI_SLOT = 5
    }

    public enum EarPlaceMode
    {
        All_OPEN = 1,
        RIGHT_OPEN = 2, //右侧打开（后面）
        LEFT_OPEN = 3
    }


    public enum ShimWeldMode
    {
        NONE = 0,
        WELD_ON_MAIN = 1,
        WELD_ON_SUB = 2
    }
    public enum StiffShape
    {
        DEFAULT = 0,
        SQUARE = 1,
        TRIANGLE = 2
    }
}
