﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MultipleSiffeners1064
{
    public static class ParamNames
    {

        /**
         * 图形页
         */

        public static readonly string PIC_STIFFENER_COUNT = "pic_stiffener_count";
        public static readonly string PIC_STIFFENER_STRIDE = "pic_stiffener_stride";

        /**
         * 零件页
         */

        public static readonly string PART_LEFT_PLATE_PROPS = "part_left_stiffener_props";
        public static readonly string PART_RIGHT_PLATE_PROPS = "part_right_stiffener_props";

        /**
         * 参数页
         */

        public static readonly string ARG_START_POS = "arg_start_pos";
        public static readonly string ARG_PLATES_POS = "arg_plates_pos";
        public static readonly string ARG_PLATES_GAP = "arg_plates_gap";
        public static readonly string ARG_LEFT_ROT = "arg_left_rot";
        public static readonly string ARG_RIGHT_ROT = "arg_right_rot";

        /**
         * 加劲肋页
         */
        // 左板
        public static readonly string STIFF_LEFT_PLATE_TYPE = "stiff_left_plate_type";
        public static readonly string STIFF_LEFT_PLATE_TOP_GAP = "stiff_left_plate_top_gap";
        public static readonly string STIFF_LEFT_PLATE_BOTTOM_GAP = "stiff_left_plate_bottom_gap";
        public static readonly string STIFF_LEFT_PLATE_OUTSIDE_GAP = "stiff_left_plate_outside_gap";
        public static readonly string STIFF_LEFT_PLATE_INSIDE_GAP = "stiff_left_plate_inside_gap";

        public static readonly string STIFF_LEFT_PLATE_TOP_INSIDE_TYPE = "stiff_left_plate_top_inside_type"; 
        public static readonly string STIFF_LEFT_PLATE_TOP_INSIDE_X = "stiff_left_plate_top_inside_x";
        public static readonly string STIFF_LEFT_PLATE_TOP_INSIDE_Y = "stiff_left_plate_top_inside_y";

        public static readonly string STIFF_LEFT_PLATE_TOP_OUTSIDE_TYPE = "stiff_left_plate_top_outside_type";
        public static readonly string STIFF_LEFT_PLATE_TOP_OUTSIDE_X = "stiff_left_plate_top_outside_x";
        public static readonly string STIFF_LEFT_PLATE_TOP_OUTSIDE_Y = "stiff_left_plate_top_outside_y";

        public static readonly string STIFF_LEFT_PLATE_BOTTOM_INSIDE_TYPE = "stiff_left_plate_bottom_inside_type";
        public static readonly string STIFF_LEFT_PLATE_BOTTOM_INSIDE_X = "stiff_left_plate_bottom_inside_x";
        public static readonly string STIFF_LEFT_PLATE_BOTTOM_INSIDE_Y = "stiff_left_plate_bottom_inside_y";

        public static readonly string STIFF_LEFT_PLATE_BOTTOM_OUTSIDE_TYPE = "stiff_left_plate_bottom_outside_type";
        public static readonly string STIFF_LEFT_PLATE_BOTTOM_OUTSIDE_X = "stiff_left_plate_bottom_outside_x";
        public static readonly string STIFF_LEFT_PLATE_BOTTOM_OUTSIDE_Y = "stiff_left_plate_bottom_outside_y";


        //右板
        public static readonly string STIFF_RIGHT_PLATE_TYPE = "stiff_right_plate_type";
        public static readonly string STIFF_RIGHT_PLATE_TOP_GAP = "stiff_right_plate_top_gap";
        public static readonly string STIFF_RIGHT_PLATE_BOTTOM_GAP = "stiff_right_plate_bottom_gap";
        public static readonly string STIFF_RIGHT_PLATE_OUTSIDE_GAP = "stiff_right_plate_outside_gap";
        public static readonly string STIFF_RIGHT_PLATE_INSIDE_GAP = "stiff_right_plate_inside_gap";

        public static readonly string STIFF_RIGHT_PLATE_TOP_INSIDE_TYPE = "stiff_right_plate_top_inside_type";
        public static readonly string STIFF_RIGHT_PLATE_TOP_INSIDE_X = "stiff_right_plate_top_inside_x";
        public static readonly string STIFF_RIGHT_PLATE_TOP_INSIDE_Y = "stiff_right_plate_top_inside_y";

        public static readonly string STIFF_RIGHT_PLATE_TOP_OUTSIDE_TYPE = "stiff_right_plate_top_outside_type";
        public static readonly string STIFF_RIGHT_PLATE_TOP_OUTSIDE_X = "stiff_right_plate_top_outside_x";
        public static readonly string STIFF_RIGHT_PLATE_TOP_OUTSIDE_Y = "stiff_right_plate_top_outside_y";

        public static readonly string STIFF_RIGHT_PLATE_BOTTOM_INSIDE_TYPE = "stiff_right_plate_bottom_inside_type";
        public static readonly string STIFF_RIGHT_PLATE_BOTTOM_INSIDE_X = "stiff_right_plate_bottom_inside_x";
        public static readonly string STIFF_RIGHT_PLATE_BOTTOM_INSIDE_Y = "stiff_right_plate_bottom_inside_y";

        public static readonly string STIFF_RIGHT_PLATE_BOTTOM_OUTSIDE_TYPE = "stiff_right_plate_bottom_outside_type";
        public static readonly string STIFF_RIGHT_PLATE_BOTTOM_OUTSIDE_X = "stiff_right_plate_bottom_outside_x";
        public static readonly string STIFF_RIGHT_PLATE_BOTTOM_OUTSIDE_Y = "stiff_right_plate_bottom_outside_y";

        /**
         * 焊缝属性名称
         */
        public static readonly string[] WELD_PROPS_LIST = new string[]
        {
            "weld_props1",
            "weld_props2",
            "weld_props3",
        };

    }
}
