﻿namespace StiffenedShearPlate17
{
    public class ParamNames
    {
        /**
         * 图形页参数名称
         */
        public static readonly string PIC_SPLINT_UP_GAP = "pic_splint_up_gap";
        public static readonly string PIC_SPLINT_DOWN_GAP = "pic_splint_down_gap";
        public static readonly string PIC_SPLINT_WEB_GAP = "pic_splint_web_gap";
        public static readonly string PIC_CONNECT_SECONDARY_GAP = "pic_connect_secondary_gap";
        public static readonly string PIC_CONNECT_FLANGE_GAP = "pic_connect_flange_gap";
        public static readonly string PIC_CONNECT_BORDER_GAP = "pic_connect_border_gap";
        public static readonly string PIC_STIFF_FLANGE_GAP = "pic_stiff_flange_gap";
        public static readonly string PIC_STIFF_BORDER_GAP = "pic_stiff_border_gap";

        /**
         * 板页参数名称
         */
        public static readonly string PLATE_SPLINT_PROPS = "plate_splint_props";
        public static readonly string PLATE_CONNECT_PROPS = "plate_connect_props";
        public static readonly string PLATE_PAD_PROPS = "plate_pad_props";
        public static readonly string PLATE_PAD_MEMBER = "plate_pad_member";
        public static readonly string PLATE_CONNECT_MEMBER = "plate_connect_member";
        public static readonly string PLATE_PAD_UP_GAP = "plate_pad_up_gap";
        public static readonly string PLATE_PAD_DOWN_GAP = "plate_pad_down_gap";
        public static readonly string PLATE_PAD_MARGIN = "plate_pad_margin";
        public static readonly string PLATE_PAD_POSITION = "plate_pad_position";
        public static readonly string PLATE_CONNECT_TYPE = "plate_connect_type";
        public static readonly string PLATE_CONNECT_CHAMFER_TYPE = "plate_connect_chamfer_type";
        public static readonly string PLATE_CONNECT_CHAMFER_X = "plate_connect_chamfer_x";
        public static readonly string PLATE_CONNECT_CHAMFER_Y = "plate_connect_chamfer_y";
        public static readonly string PLATE_CONNECT_CUT_X = "plate_connect_cut_x";
        public static readonly string PLATE_CONNECT_CUT_Y = "plate_connect_cut_y";
        public static readonly string PLATE_CONNECT_VERT_CUT = "plate_connect_vert_cut";
        public static readonly string PLATE_CONNECT_HORI_REMAIN_CUT = "plate_connect_hori_remain_cut";

        /**
         * 加劲肋页参数
         */
        public static readonly string STIFF_PROPS = "stiff_props";
        public static readonly string STIFF_ENABLED = "stiff_enabled";
        public static readonly string STIFF_INSIDE_CHAMFER = "stiff_inside_chamfer";
        public static readonly string STIFF_INSIDE_CHAMFER_X = "stiff_inside_chamfer_x";
        public static readonly string STIFF_INSIDE_CHAMFER_Y = "stiff_inside_chamfer_y";
        public static readonly string STIFF_CHAMFER = "stiff_chamfer";
        public static readonly string STIFF_CHAMFER_X = "stiff_chamfer_x";
        public static readonly string STIFF_CHAMFER_Y = "stiff_chamfer_y";
        public static readonly string STIFF_DIR = "stiff_dir";
        public static readonly string STIFF_VERT_OFFSET = "stiff_vert_offset";

        /**
         * 螺栓页参数名称
         */
        public static readonly string BOLT_BASIC_PROPS = "bolt_basic_props";
        public static readonly string BOLT_HOLE_PROPS = "bolt_hole_props";
        public static readonly string BOLT_CONTENT_PROPS = "bolt_content_props";
        public static readonly string BOLT_EXTEND_PROPS = "bolt_extend_props";
        public static readonly string BOLT_VERT_OFFSET_MODE = "bolt_vert_offset_mode";
        public static readonly string BOLT_VERT_OFFSET = "bolt_vert_offset";
        public static readonly string BOLT_UP_PLATE_GAP = "bolt_up_plate_gap";
        public static readonly string BOLT_DOWN_PLATE_GAP = "bolt_down_plate_gap";
        public static readonly string BOLT_VERT_COUNT = "bolt_vert_count";
        public static readonly string BOLT_VERT_STRIDE = "bolt_vert_stride";

        public static readonly string BOLT_SPLINT_HORI_COUNT = "bolt_splint_hori_count";
        public static readonly string BOLT_SPLINT_HORI_STRIDE = "bolt_splint_hori_stride";
        public static readonly string BOLT_SPLINT_LEFT_GAP = "bolt_splint_left_gap";
        public static readonly string BOLT_SPLINT_RIGHT_GAP = "bolt_splint_right_gap";
        public static readonly string BOLT_SPLINT_MADE_TYPE = "bolt_splint_made_type";

        public static readonly string BOLT_CONNECT_HORI_COUNT = "bolt_connect_hori_count";
        public static readonly string BOLT_CONNECT_HORI_STRIDE = "bolt_connect_hori_stride";
        public static readonly string BOLT_CONNECT_LEFT_GAP = "bolt_connect_left_gap";
        public static readonly string BOLT_CONNECT_RIGHT_GAP = "bolt_connect_right_gap";
        public static readonly string BOLT_CONNECT_MADE_TYPE = "bolt_connect_made_type";

        /**
         * 槽口页参数名称
         */

        public static readonly string NOTCH_SHAPE = "notch_shape";
        public static readonly string NOTCH_FLANGE_CUT_SHAPE = "notch_flange_cut_shape";
        public static readonly string NOTCH_POSITION = "notch_position";
        public static readonly string NOTCH_SIZE_MODE = "notch_size_mode";
        public static readonly string NOTCH_SIZE_X = "notch_size_x";
        public static readonly string NOTCH_SIZE_Y = "notch_size_y";
        public static readonly string NOTCH_SIZE_ROUNDING = "notch_size_rounding";
        public static readonly string NOTCH_ROUNDING_BASE_X = "notch_rounding_base_x";
        public static readonly string NOTCH_ROUNDING_BASE_Y = "notch_rounding_base_y";
        public static readonly string NOTCH_CHAMFER_TYPE = "notch_chamfer_type";
        public static readonly string NOTCH_CHAMFER_RADIUS = "notch_chamfer_radius";

        public static readonly string NOTCH_MANUAL_TOP_SIDE = "notch_manual_top_side";
        public static readonly string NOTCH_MANUAL_TOP_SHAPE = "notch_manual_top_shape";
        public static readonly string NOTCH_MANUAL_TOP_DEPTH_MODE = "notch_manual_top_depth_mode";
        public static readonly string NOTCH_MANUAL_TOP_DEPTH = "notch_manual_top_depth";
        public static readonly string NOTCH_MANUAL_TOP_SIZE_X = "notch_manual_top_size_x";
        public static readonly string NOTCH_MANUAL_TOP_SIZE_Y = "notch_manual_top_size_y";

        public static readonly string NOTCH_MANUAL_BOTTOM_SIDE = "notch_manual_bottom_side";
        public static readonly string NOTCH_MANUAL_BOTTOM_SHAPE = "notch_manual_bottom_shape";
        public static readonly string NOTCH_MANUAL_BOTTOM_DEPTH_MODE = "notch_manual_bottom_depth_mode";
        public static readonly string NOTCH_MANUAL_BOTTOM_DEPTH = "notch_manual_bottom_depth";
        public static readonly string NOTCH_MANUAL_BOTTOM_SIZE_X = "notch_manual_bottom_size_x";
        public static readonly string NOTCH_MANUAL_BOTTOM_SIZE_Y = "notch_manual_bottom_size_y";

        /**
         * 焊缝属性名称
         */
        public static readonly string[] WELD_PROPS_LIST = new string[]
        {
            "weld_props0",
            "weld_props1",
            "weld_props2",
            "weld_props3",
            "weld_props4",
            "weld_props5",
        };
    }
}
